﻿/* DEFAULTS
----------------------------------------------------------*/

body {
    background: #b6b7bc;
    font-size: .80em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

a:link, a:visited {
    color: #034af3;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #034af3;
}

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #666666;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0;
}

h1 {
    font-size: 1.4em;
    padding-bottom: 0;
    margin-bottom: 0;
}

h2 {
    font-size: 1.3em;
    font-weight: 600;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page {
    width: 100%;
    background-color: #fff;
    margin: auto .5em 0 auto;
    border: 1px solid #496077;
    border-width: 1px 0;
}

#header {
    position: relative;
    margin: 0;
    padding: 0;
    background: #8099CF;
    width: 100%;
    display: flex;
    justify-content: space-between;
    border-bottom: 10px solid #3a4f63;
}

.header-nav-links {
    list-style: none;
    margin: 0;
}

    .header-nav-links li::before {
        content: "[ "
    }

    .header-nav-links li::after {
        content: " ]"
    }

    .header-nav-links .nav-link-plain::before {
        content: none;
    }

    .header-nav-links .nav-link-plain::after {
        content: none;
    }

.main {
    padding: 0 1em;
    margin: 12px 8px 8px 8px;
    min-height: 420px;
}

.leftCol {
    padding: 6px 0;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

#footer {
    padding: 0 1em;
}

#footer-logos {
    display: flex;
    justify-content: space-between;
}

    #footer-logos img {
        width: 250px;
        height: 100%;
    }

.loginDisplay {
    font-size: 1.1em;
    text-align: right;
    padding: 10px;
    color: White;
}
    /* ReSharper disable once CssNotResolved */
    /* JG: No idea why ReSharper says that :is() isn't a valid CSS selector. It has been for a while...'*/
    /* https://developer.mozilla.org/en-US/docs/Web/CSS/:is */
    .loginDisplay :is(a:link, a:visited, a:hover) {
        color: white;
    }

section {
    margin: 1em 0;
}


/* TAB MENU   
----------------------------------------------------------*/


#activenav a:link, #activenav a:visited, #activenav .menuitem {
    background-color: #bfcbd6;
    color: #465c71;
    border: 1px #4e667d solid;
    padding: 4px 20px;
    white-space: normal;
    text-decoration: none;
}

.inactivenav a:link, .inactivenav a:visited, .inactivenav .menuitem {
    background-color: #465c71;
    border: 1px #4e667d solid;
    color: #dde4ec;
    white-space: normal;
    padding: 4px 20px;
    white-space: normal;
}

.inactivenav a:hover {
    background-color: #bfcbd6;
    border: 1px #4e667d solid;
    color: #465c71;
    padding: 4px 20px;
    white-space: normal;
}






/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: 1em 0;
    padding: 1em;
    border: 1px solid #ccc;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input.textEntry {
    width: 320px;
    border: 1px solid #ccc;
}

input.passwordEntry {
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo {
    width: 100%;
}

.table-form tr td:first-child {
    width: 10%;
}

/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.failureNotification {
    font-size: 1.2em;
    color: Red;
}

.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}

.TextBox {
    border-style: solid;
    border-color: #000000;
    border-width: 1px;
}

div.highlight {
    border-style: solid;
    border-color: #000000;
    background-color: #bfcbd6;
    width: 100%;
}


.error {
    color: Red;
}

.divModalDialog {
    margin: 0 auto;
    width: 50%;
    height: 50%;
    /*! important !*/
    display: none;
    /* last attribute set darkness on scale: 0...1.0 */
    background-color: #000000;
    background-color: rgba(0,0,0,0.1);
    /* background-color:Blue;*/
    text-align: center;
    z-index: 101;
}

/*** ! target attribute does the job ! ***/
    .divModalDialog:target {
        display: block;
    }


.Grid {
    background-color: #4b6c9e;
    color: white;
    table-layout: fixed;
    width: 100%;
}

.btn-inactive {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    font-weight: bold;
    padding: 3px;
    color: #FFFFFF;
    background-color: #669999;
}

.environmentLocal {
    background-color: blue;
}

.environmentDevelopment {
    background-color: red;
}

.environmentStaging {
    background-color: #ffbf00; /* Amber */
}

.noEnvironment {
    background-color: #8099CF;
    color: #8099CF !important;
}